#!/bin/sh
set -e
if [ -z "$1" ]; then
	echo "please provide a sample aax file"
	exit 1
fi

CHECKSUM=$(ffprobe $1 2>&1 | grep -oP '\[aax\] file checksum == \K([0-9]|[a-f])*')

echo "Getting key for checksum ${CHECKSUM}"
cd /opt/rainbowcrack/
./rcrack . -h $CHECKSUM
